pappso::TraceCombiner Class Reference

`#include <tracecombiner.h>`

Inheritance diagram for pappso::TraceCombiner:

## Public Member Functions

| TraceCombiner ()
| TraceCombiner (int decimal_places)
| TraceCombiner (const TraceCombiner &other)
| TraceCombiner (TraceCombinerCstSPtr other)
virtual | ~TraceCombiner ()
Public Member Functions inherited from pappso::MassDataCombinerInterface
| MassDataCombinerInterface (int decimal_places=-1)
virtual | ~MassDataCombinerInterface ()
void | setDecimalPlaces (int value)
int | getDecimalPlaces () const
virtual MapTrace & | combine (MapTrace &map_trace, Iterator begin, Iterator end)
virtual MapTrace & | combine (MapTrace &map_trace, const Trace &trace) const =0
virtual MapTrace & | combine (MapTrace &map_trace_out, const MapTrace &map_trace_in) const =0

## Additional Inherited Members

Public Types inherited from pappso::MassDataCombinerInterface
using | Iterator = std::vector< const Trace * >::const_iterator
Protected Attributes inherited from pappso::MassDataCombinerInterface
int | m_decimalPlaces = -1
| Number of decimals to use for the keys (x values) More...

## Detailed Description

Definition at line 27 of file tracecombiner.h.

## Constructor & Destructor Documentation

## TraceCombiner() [1/4]

pappso::TraceCombiner::TraceCombiner | ( |  | ) |

Definition at line 21 of file tracecombiner.cpp.

{
}

## TraceCombiner() [2/4]

pappso::TraceCombiner::TraceCombiner | ( | int | decimal_places | ) |

Definition at line 26 of file tracecombiner.cpp.

: MassDataCombinerInterface(decimal_places)
{
}
pappso::MassDataCombinerInterface::MassDataCombinerInterface
MassDataCombinerInterface(int decimal_places=-1)
Definition: massdatacombinerinterface.cpp:19

## TraceCombiner() [3/4]

pappso::TraceCombiner::TraceCombiner | ( | const TraceCombiner & | other | ) |

Definition at line 32 of file tracecombiner.cpp.

: MassDataCombinerInterface(other.m_decimalPlaces)
{
}

## TraceCombiner() [4/4]

pappso::TraceCombiner::TraceCombiner | ( | TraceCombinerCstSPtr | other | ) |

Definition at line 38 of file tracecombiner.cpp.

: MassDataCombinerInterface(other->m_decimalPlaces)
{
}

## ~TraceCombiner()

pappso::TraceCombiner::~TraceCombiner | ( |  | ) |

virtual

Definition at line 44 of file tracecombiner.cpp.

{
}

The documentation for this class was generated from the following files:

- pappsomspp/processing/combiners/tracecombiner.h
- pappsomspp/processing/combiners/tracecombiner.cpp